2019-10-17 01:16 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000019FSSCPgraphicspublic2006-10-26 23:40
ReporterLightspeed 
Assigned ToRandomTiger 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6 
Summary0000019: 32-bit interface useless
DescriptionWhenever I use a 32-bit background interface image (size 1024x768 on a screen resolution of 1024x768) the image seems to be stretched around (i.e. i can see the pixels that should be at 0/y at 1024/y, x/768 at x/0, etc; diagonal lines (best seen on 45° angles) get stretched and look pretty ugly. This does not happen with 8-bit backgrounds, and it happens both with JPG and TGA files.

Look at this screenshot to see what I mean: http://www.penguinbomb.com/lightspeed/SCPTest/InterfaceBug.jpg
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000031

Kazan (developer)

Who Added this feature - this is your bug..

~0000059

RandomTiger (developer)

I will try to address this when I restructure the texture system.
Currently interface TGA and JPGs are stretched to the full texture size unlike their PCX conterparts.

~0000097

RandomTiger (developer)

Fixed, interface textures no longer scaled

~0000150

Goober5000 (administrator)

Cool. Closing.
+Notes

-Issue History
Date Modified Username Field Change
2004-01-02 20:00 Lightspeed New Issue
2004-01-14 13:19 Kazan Note Added: 0000031
2004-01-17 03:58 RandomTiger Status new => assigned
2004-01-17 03:58 RandomTiger Assigned To => RandomTiger
2004-01-18 11:21 RandomTiger Note Added: 0000059
2004-01-24 12:51 RandomTiger Status assigned => resolved
2004-01-24 12:51 RandomTiger Resolution open => fixed
2004-01-24 12:51 RandomTiger Note Added: 0000097
2004-02-04 04:26 Goober5000 Status resolved => closed
2004-02-04 04:26 Goober5000 Note Added: 0000150
2006-10-26 23:40 Goober5000 Fixed in Version => 3.6
+Issue History